Option Strict On

Imports Nbis

Module EntryPoint

    Sub Main()
        'Detect Minutiae
        Dim Probe As Minutia() = Nbis.DetectMinutiae.FromBitmap(Nbis.Wsq.FromWsqToBitmap(My.Resources.cmp00011), 500)
        Dim Gallery As Minutia() = Nbis.DetectMinutiae.FromBitmap(Nbis.Wsq.FromWsqToBitmap(My.Resources.cmp00011), 500)

        'Bozorth3 Minutiae Matcher
        Dim Result As Integer = Nbis.Matcher.Compare(Probe, Gallery)
        System.Console.WriteLine("Result: {0}", Result)

        Console.ReadLine()
    End Sub
End Module